org.apache.sysds.runtime.instructions.spark.utils

## Class RDDConverterUtils.DataFrameExtractIDFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.utils.RDDConverterUtils.DataFrameExtractIDFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFunction<org.apache.spark.sql.Row,org.apache.spark.sql.Row,Long>

Enclosing class:
  RDDConverterUtils

    public static class RDDConverterUtils.DataFrameExtractIDFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<org.apache.spark.sql.Row,org.apache.spark.sql.Row,Long>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataFrameExtractIDFunction(int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<org.apache.spark.sql.Row,Long>` `call(org.apache.spark.sql.Row arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataFrameExtractIDFunction

    public DataFrameExtractIDFunction(int index)

### Method Detail

#### call

    public scala.Tuple2<org.apache.spark.sql.Row,Long> call(org.apache.spark.sql.Row arg0)
                                                     throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<org.apache.spark.sql.Row,org.apache.spark.sql.Row,Long>`
Throws:
  `Exception`